# Fesslix - Stochastic Analysis
# Copyright (C) 2010-2017 Wolfgang Betz
#
# Fesslix is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Fesslix is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 

# - Try to find Fesslix (development)
# Once done this will define
#  FESSLIX_FOUND - System has Fesslix
#  FESSLIX_INCLUDE_DIRS - The Fesslix include directories
#  FESSLIX_LIBRARIES - The libraries needed to use Fesslix

find_package(PkgConfig)
pkg_check_modules(PC_FESSLIXFEM QUIET liboctave)
#set(LIBXML2_DEFINITIONS ${PC_LIBXML_CFLAGS_OTHER})

find_path(FESSLIXFEM_INCLUDE_DIR "flxfem.h"
          HINTS ${FLXLIB_INCLUDE_DIR}/../../fem/src $ENV{HOME}/projects/flx_attach/libraries/fem/src $ENV{PWD}/../../fem/src ${PC_FESSLIXFEM_INCLUDEDIR} ${PC_PC_FESSLIXFEM_INCLUDE_DIRS} 
          PATH_SUFFIXES "fesslix/" )

FIND_LIBRARY(FESSLIXFEM_LIBRARY flxfem 
  HINTS ${FESSLIXFEM_INCLUDE_DIR}/../lib ${FESSLIXFEM_INCLUDE_DIR}/../build/src/ $ENV{HOME}/apps/lib ${FESSLIXFEM_INCLUDE_DIR}/../ ${PC_FESSLIXFEM_LIBDIR} ${PC_FESSLIXFEM_LIBRARY_DIRS} 
)

include(FindPackageHandleStandardArgs)
# handle the QUIETLY and REQUIRED arguments and set LIBXML2_FOUND to TRUE
# if all listed variables are TRUE
find_package_handle_standard_args(FesslixFEM  DEFAULT_MSG
                                  FESSLIXFEM_LIBRARY FESSLIXFEM_INCLUDE_DIR)

mark_as_advanced(
  FESSLIXFEM_INCLUDE_DIR 
  FESSLIXFEM_LIBRARY 
)

